Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-perl
BuildRequires: /dev/pts perl(Data/Dump/Streamer.pm) perl(Sub/Exporter.pm) perl-podlators
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           perl-Carp-REPL
Version:        0.18
Release:        alt1_12
Summary:        Read-eval-print-loop on die and/or warn
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/Carp-REPL
Source0:        https://cpan.metacpan.org/authors/id/E/ET/ETHER/Carp-REPL-%{version}.tar.gz
# Do not use broken Data::Dump::Streamer, bug #1231297, CPAN RT#105016
Patch0:         Carp-REPL-0.18-Use-Data-Dumper-instead-of-Data-Dump-Streamer.patch
BuildArch:      noarch
# Build
BuildRequires:  perl-devel
BuildRequires:  rpm-build-perl
BuildRequires:  perl(ExtUtils/MakeMaker.pm)
BuildRequires:  perl(strict.pm)
BuildRequires:  perl(utf8.pm)
BuildRequires:  perl(warnings.pm)
# Runtime
BuildRequires:  perl(Data/Dumper.pm)
BuildRequires:  perl(Devel/LexAlias.pm)
BuildRequires:  perl(Devel/REPL/Plugin.pm)
BuildRequires:  perl(Devel/REPL/Plugin/LexEnv.pm)
# XXX: BuildRequires:  perl(Devel::REPL::Script)
BuildRequires:  perl(Devel/StackTrace/WithLexicals.pm)
BuildRequires:  perl(namespace/autoclean.pm)
# XXX: BuildRequires:  perl(Sub::Exporter)
# XXX: BuildRequires:  perl(Test::Builder)
# Tests only
BuildRequires:  perl(Devel/REPL.pm)
BuildRequires:  perl(lib.pm)
BuildRequires:  perl(Test/Expect.pm)
BuildRequires:  perl(Test/More.pm)
Requires:       perl(Sub/Exporter.pm)
Requires:       perl(Devel/REPL/Plugin/LexEnv.pm)
Requires:       perl(Devel/REPL/Script.pm)
Requires:       perl(Test/Builder.pm)


Source44: import.info

%description
Carp-REPL is a debugging aid for Perl programs. When a program dies (or warns),
you get a REPL instead of dying or continuing blindly.

%prep
%setup -q -n Carp-REPL-%{version}
%patch0 -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
# %{_fixperms} %{buildroot}/*

%check
make test

%files
%doc Changes
%{perl_vendor_privlib}/*

%changelog
* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1_12
- update to new release by fcimport

* Sun Sep 16 2018 Igor Vlasenko <viy@altlinux.ru> 0.18-alt1_11
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_10
- update to new release by fcimport

* Tue Jul 01 2014 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_9
- update to new release by fcimport

* Tue Aug 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_8
- update to new release by fcimport

* Wed Feb 27 2013 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_6
- update to new release by fcimport

* Tue Jul 31 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_5
- update to new release by fcimport

* Tue Jun 05 2012 Igor Vlasenko <viy@altlinux.ru> 0.15-alt1_3
- fc import

